作者: moli 发布时间: (2016-02-01 00:40:16) 阅读次数: 4959

教程

因为php5.4-5.6可以在cpanel面板中可视化切换,是cpanel自带的版本:  

Image(后台可以自主切换php5.4-5.6)

但是我们额外安装了php5.3和7.0为使用老程序和喜欢新鲜的用户提供了新旧php的支持。

但是5.3和7.0不能在cpanel的web中可视化的切换,所以下面将教您如何在您的网站中切换php5.3及7.0。非常简单!

如何使用PHP5.3

有的程序很老,比如dedecms,这种程序,需要php5.3,但是cpanel默认是没有5.3的,于是moli小哥将php5.3编译,加入到cpanel中。

遗憾的是,目前还不晓得怎么将php5.3集成到cpanel的web页面上,让用户通过web操作选择php版本。

但是高兴的是,手动切换php版本的操作异常简单:

修改网站根目录下的.htaccess文件,在最后面加入该代码:

<IfModule mime_module>
  AddType application/x-httpd-ea-php53 .php
</IfModule>

然后保存就好了,好方便~sweat_smile

然后你的网站就使用了php5.3来运行了~

joy

如何使用PHP7.0

比特熊的cpanel支持php7,那么在.htaccess文件中这样写即可:

<IfModule mime_module>
  AddType application/x-httpd-ea-php70 .php
</IfModule>

php7.0是很新,很快的php版本,但是并不表示所有的程序都支持php7,有很多的兼容性问题。所以如果你切换到php7发现500错误等问题,且你无动手解决的能力,那么还是不要用php7哦。

注意事项

对于很多新手而言,分不清楚“网站根目录”的意思,以为都在 public_html目录下,或 / 目录下,这是不对的。

比如您的网站默认主域是 baidu.com,那么.htaccess文件应该放在/public_html/.htaccess 这里。

如果您的网站是 google.com,网站目录在 /public_html/google.com,那么.htaccess应该是/public_html/google.com/.htaccess

注意哦sweat_smile

评论 23条评论 回复
登陆后才可以评论。 登陆
moli · 回复

@hazymoon86  面板都差不多噢。

hazymoon · 回复

plesk面板也是这么干么

moli · 回复

@8413651718  肯定忙啊

8413651718 · 回复

@moli  话说你不忙吗?我感觉自己要学习一大堆的东西

moli · 回复

@8413651718  哈哈

8413651718 · 回复

@moli  好吧,此类问题无需深究,太认真也就输了

moli · 回复

@8413651718  用php7本来就是为了速度,你还用过速度慢的mysql库,那用php7的意义是什么?

moli · 回复

@8413651718  要么用php5.*,要么 用php7的 mysqli_connect 连数据库。

8413651718 · 回复

@moli  这个我也知道,不过现在很多系统都是利用原来的mysql库的,php7中也是可以加上的,这个相当于扩展了,以前这个扩展是默认的,现在也可以同样选择是否开启的,pdo虽然强大,但和mysql库比起来,还是有很多不方便的地方,比如某个地方必须要用到mysql函数库,但是其它的地方依然是pdo,这种情况下,是否就该考虑开启mysql库了

moli · 回复

@8413651718  从5.5官方就准备抛弃老mysql库了,可能是速度慢,可能是不安全。如果你任然需要就继续用老版本。别用php7了。php7更适合标准的php代码。

8413651718 · 回复

@moli  移除了,不是也可以加上的吗?只是没有默认了

moli · 回复

@8413651718  PHP7 正式移除了 mysql 扩展哈。php7肯定有跟之前不一样的地方,要么改变代码~ 要么换其他php版本了~

8413651718 · 回复

@moli  我不是讲pdo mysql

是mysql的函数,我自己的程序,里面有个备份功能,没法用pdo来备份,用了原来的mysql的操作函数,可是出错了,一看原因是环境不支持函数

moli · 回复

@8413651718  支持pdo mysql哦,我的wp博客都跑在php7下呢

8413651718 · 回复

php7 确实不支持mysql的操作函数,这个可以开启一下吗?

星辰 · 回复

。。。。我滴程序只支持pdo  mysql和mysqli都不可以哎

moli · 回复

@星辰  有好几种mysql连接方式驱动可以用啊~ 我的wp无缝支持php7呢

星辰 · 回复

茉莉 php7.0 为何没有 pdo_mysql。。

moli · 回复

@陳德深  .htaccess 跟php语言无关啊

陳德深 · 回复

@holi 請問wordpress默認.htaccess如下的情況下如何結合寫PHP7的<IfModule mime_module>?

# BEGIN WordPress
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteBase /
RewriteRule ^index\.php$ - [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]
</IfModule>
# END WordPress
陳德深 · 回复


moli · 回复

@holi  php7有兼容性问题,如不能自己解决,就不要使用php7,而且你的问题,我也不知道你是问php7还是php5.3,也是醉了。

holi · 回复

出现空白 什么也没有